Retrieve specific VICAL
/v1/ecosystems/{ecosystemId}/vicals/public/{vicalIssueId}Retrieves a specific VICAL from the requested ecosystem by providing the VICAL version identifier.
This endpoint is intended for public consumption, and as such does not require authentication.
Path Parameters
The UUID of the ecosystem
uuidUnique identifier of a specific VICAL version. This numeric value is continuously increased whenever a VICAL is created.
int32Response Body
application/cbor
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/vicals/public/1337""string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all VICALs GET
Retrieves all VICALs available in the requested ecosystem. This endpoint is intended for public consumption, and as such does not require authentication.
Retrieve latest VICAL GET
Retrieves the latest VICAL from the requested ecosystem. This endpoint is intended for public consumption, and as such does not require authentication.